FROM debian:bookworm-slim

RUN apt-get update && DEBIAN_FRONTEND=noninteractive apt-get install -y \
    sudo \
    python3 \
    python3-distutils \
    python3-pip \
    ffmpeg

RUN pip install -U openai-whisper --break-system-packages
WORKDIR /app

CMD ["whisper"]
